GoRouter
Справочник APIManagement A P I

Получить inference-ключи

GET
/keys

Требуется management key. Возвращает только inference-ключи того же аккаунта.

AuthorizationBearer <ключ>

Inference key для запросов к моделям, management key для Management API.

In: header

Параметры запроса

workspace_id?string

Workspace аккаунта. По умолчанию Default.

Formatuuid
member_id?string

ID участника аккаунта.

offset?integer
Range0 <= value
Default0
limit?integer
Range1 <= value <= 100
Default100
include_disabled?boolean
Defaulttrue

Ответ

application/json

application/json

curl -X GET "https://example.com/keys"
{  "data": [    {      "hash": "string",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",      "member_id": "string",      "privacy": {        "version": 1,        "blockLogging": true,        "blockTraining": true,        "allowedProviders": [          "string"        ],        "ignoredProviders": [          "string"        ]      },      "label": "string",      "name": "string",      "disabled": true,      "limit": 0,      "limit_remaining": 0,      "limit_reset": "daily",      "usage": 0,      "usage_daily": 0,      "usage_weekly": 0,      "usage_monthly": 0,      "currency": "RUB",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "sensitive_data": {        "enabled": false,        "action": "replace",        "categories": [          "email"        ],        "dictionary": [          {            "term": "string",            "substitute": "string"          }        ]      }    }  ],  "total_count": 0}